Subject: RE: unresolved symbol

From: "Bob Piatek" <[email-masked]>
Date: Mon, 31 Dec 2001 16:47:30 -0800

OK. I updated the modutils package and that fixed it!  Thanks so much.

Bob

fishcamp engineering
105 W. Clark Ave
Orcutt, CA  93455
TEL: 805-937-6365
FAX: 805-937-6252

-----Original Message-----
From: Tom Rini [mailto:[email-masked]] On
Behalf Of Tom Rini
Sent: Monday, December 31, 2001 3:02 PM
To: Bob Piatek
Cc: [email-masked]
Subject: Re: unresolved symbol

On Mon, Dec 31, 2001 at 02:47:28PM -0800, Bob Piatek wrote:

> Correct me if I'm wrong, but it looks like the problem is caused by
the
> kernel not exporting the symbols that are needed by the module and not
> in the actual module itself.  Is it that I built the kernel wrong
> somehow, or maybe the libraries in 'simple-ramdisk' image aren't
> sufficient, or is it something else?

Well, the kernel knows about its symbols at compile time, based on stuff
from the modutils program.  So, if you have a bad/missing genksyms
program, you won't get any symbols.

--
Tom Rini (TR1265)
http://gate.crashing.org/~trini/

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/